View Issue Details

IDProjectCategoryView StatusLast Update
0030863LazarusIDEpublic2018-12-17 13:04
ReporterGerard VAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
PlatformOSLinuxOS Version17.3 64 bits
Product Version1.6.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0030863: keys typed in the source editor are duplicated
DescriptionTyping in the source editor, characters are duplicated:

"begin" -> "bbeeggiinn"

It happens with the latest SVN and back to revision 52799.
Revision 52798 works fine.
 

Linux Mint 17.3 64 bits, Cinnamon and GTK2 widgetset.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Files
  • blk.diff (625 bytes)
    Index: lcl/interfaces/gtk2/gtk2proc.inc
    ===================================================================
    --- lcl/interfaces/gtk2/gtk2proc.inc	(revision 54107)
    +++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
    @@ -2198,9 +2198,13 @@
       end;
     
       function BlackListIMModule: boolean;
    +  const
    +    cBlackList = 'scim-bridge';
    +    //todo to fix issue with duplicated chars:
    +    //cBlackList = 'scim-bridge'#10'scim'#10'xim';
       begin
         {$IFDEF UNIX}
    -    Result := g_getenv('GTK_IM_MODULE') = 'scim-bridge';
    +    Result := Pos(g_getenv('GTK_IM_MODULE'), cBlackList)>0;
         {$ELSE}
         Result := False;
         {$ENDIF}
    
    blk.diff (625 bytes)
  • blk-2.diff (673 bytes)
    Index: lcl/interfaces/gtk2/gtk2proc.inc
    ===================================================================
    --- lcl/interfaces/gtk2/gtk2proc.inc	(revision 54107)
    +++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
    @@ -2198,9 +2198,16 @@
       end;
     
       function BlackListIMModule: boolean;
    +  const
    +    cBlackList = 'scim-bridge';
    +    //to fix issue with duplicated chars:
    +    //cBlackList = 'scim-bridge,scim,xim';
    +  var
    +    sVar: string;
       begin
         {$IFDEF UNIX}
    -    Result := g_getenv('GTK_IM_MODULE') = 'scim-bridge';
    +    sVar := g_getenv('GTK_IM_MODULE');
    +    Result := Pos(','+sVar+',', ','+cBlackList+',')>0;
         {$ELSE}
         Result := False;
         {$ENDIF}
    
    blk-2.diff (673 bytes)
  • bl.diff (519 bytes)
    Index: lcl/interfaces/gtk2/gtk2proc.inc
    ===================================================================
    --- lcl/interfaces/gtk2/gtk2proc.inc	(revision 54143)
    +++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
    @@ -2199,9 +2199,9 @@
     
       function BlackListIMModule: boolean;
       const
    -    cBlackList = 'scim-bridge';
    +    //cBlackList = 'scim-bridge';
         //to fix issue with duplicated chars:
    -    //cBlackList = 'scim-bridge,scim,xim';
    +    cBlackList = 'scim-bridge,scim,xim';
       var
         sVar: string;
       begin
    
    bl.diff (519 bytes)
  • gtk2_im_module_fix.diff (1,557 bytes)
    Index: lcl/interfaces/gtk2/gtk2proc.inc
    ===================================================================
    --- lcl/interfaces/gtk2/gtk2proc.inc	(revision 55166)
    +++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
    @@ -1928,7 +1928,7 @@
       TargetWidget: PGtkWidget;
       TargetObj: gPointer;
       KeyPressesChar: char;
    -  PassUTF8AsKeyPress: Boolean;
    +  PassUTF8AsKeyPress, ADeadKey: Boolean;
     
       procedure ClearKey;
       begin
    @@ -2213,8 +2213,9 @@
         {$ENDIF}
       end;
     
    -  procedure CheckDeadKey;
    +  function CheckDeadKey: boolean;
       begin
    +    Result := CallBackDefaultReturn;
         if ABeforeEvent then
         begin
           if im_context_widget<>TargetWidget then
    @@ -2230,7 +2231,10 @@
           {do not pass double chars if we use scim-bridge or other blacklisted im_module.
            issues #15185, #23140}
           if not BlackListIMModule then
    -        gtk_im_context_filter_keypress (im_context, AEvent);
    +      begin
    +        Result := gtk_im_context_filter_keypress (im_context, AEvent);
    +        Result := Result and (im_context_string = AEvent^._string);
    +      end;
     
           //DebugLn(['CheckDeadKey DeadKey=',DeadKey,' str="',im_context_string,'"']);
         end;
    @@ -2302,7 +2306,9 @@
       {$IfDef Gtk2LatinAccents}
       gtk_im_context_filter_keypress (im_context, AEvent);
       {$Else}
    -  CheckDeadKey;
    +  ADeadKey := CheckDeadKey;
    +  if ADeadKey then
    +    ADeadKey := TObject(TargetObj) is TCustomControl;
       {$EndIf}
     
       Flags := 0;
    @@ -2535,7 +2541,7 @@
     
       EmulateEatenKeys;
     
    -  Result:=EventStopped;
    +  Result := EventStopped or ADeadKey;
     end;
     
     const
    
    gtk2_im_module_fix.diff (1,557 bytes)

Relationships

duplicate of 0027401 feedbackZeljan Rikalo One keypress, two characters 
duplicate of 0026926 feedbackZeljan Rikalo Problem with doubled chars still exists see Bug 0023140 
duplicate of 0029431 resolvedBart Broersma Duplicated characters in TEdit instances 
duplicate of 0023140 resolvedZeljan Rikalo double charcter input in many text input components 
related to 0014716 resolvedJuha Manninen Lazarus on VNC with NEO layout: some (important) keys are ignored in Code Editor 
related to 0031335 new Inspector object and source code editor: Double accent and without an accent. Latin keyboard. 
related to 0030871 new Cannot type accents in the source editor 
related to 0024750 feedbackZeljan Rikalo Accents in GTK2 
has duplicate 0031104 resolvedJuha Manninen All keys come twice 
has duplicate 0034701 resolvedJuha Manninen Keys typed in the editor are duplicated. 
related to 0029432 new Pressing 'm' in source editor form produce CRLF 

Activities

delfion

2016-11-04 14:40

reporter   ~0095557

Error occurs here too Linux Mint 17.3 64-bit, but 32-bit version is ok. (GTK 2)

delfion

2016-11-05 11:37

reporter   ~0095585

command svn diff -r 52798:52799 gives
Index: lcl/interfaces/gtk2/gtk2proc.pp
===================================================================
--- lcl/interfaces/gtk2/gtk2proc.pp (revision 52798)
+++ lcl/interfaces/gtk2/gtk2proc.pp (revision 52799)
@@ -864,6 +864,7 @@
     window: PGdkWindow;
     send_event: gint8;
     time: guint32;
+ keyval: guint;
     constructor Create(Event: PGdkEventKey);
     function IsEqual(Event: PGdkEventKey): boolean;
   end;
@@ -879,6 +880,7 @@
   window:=Event^.window;
   send_event:=Event^.send_event;
   time:=Event^.time;
+ keyval:=Event^.keyval;
 end;
 
 function TLCLHandledKeyEvent.IsEqual(Event: PGdkEventKey): boolean;
@@ -886,7 +888,8 @@
   Result:=(gdk_event_get_type(Event)=thetype)
       and (window=Event^.window)
       and (send_event=Event^.send_event)
- and (time=Event^.time);
+ and (time=Event^.time)
+ and (keyval=Event^.keyval);
 end;
 
 var

Gerard V

2016-11-05 11:48

reporter   ~0095586

Unfortunately I have no clue about the GTK internals, so no idea about why it duplicates keys and what it was supposed to fix :-(

Gerard V

2016-11-08 19:03

reporter   ~0095677

Seems to be fixed in revision 53322

delfion

2016-11-08 22:08

reporter   ~0095683

It is not fixed

Gerard V

2016-11-11 22:31

reporter   ~0095787

Sorry, I was testing the wrong version

Cyrax

2016-11-12 01:05

reporter   ~0095792

http://wiki.lazarus.freepascal.org/Lazarus_Faq#Typing_in_edit_fields_generate_duplicate_letters

Check if you are using ibus.

delfion

2016-11-12 08:12

reporter   ~0095794

Ibus is not in use.

Gerard V

2016-11-12 22:45

reporter   ~0095805

Same here, ibus not installed.

Juha Manninen

2016-11-13 08:51

developer   ~0095815

It is related to input method. See comment from Péter Gábor here:
 http://bugs.freepascal.org/view.php?id=14716#c94144
If somebody finds a way to solve this properly for every possible GTK configuration, great. Otherwise we must recommend workarounds.

Heiko Rompel

2016-12-11 18:39

reporter   ~0096702

Lazarus 1.7 Rev. 53546 on Linux Mint 18-x64 the error is not activ
Lazarus 1.7 Rev. 53631 on Linux Mint 18-x64 the error is activ
Why?

delfion

2016-12-11 19:37

reporter   ~0096707

Last edited: 2016-12-19 00:27

View 3 revisions

After adding xim to blacklist described in bugreport 0026926, error disappears.
Except that pressing m causes line feed.

Gerard V

2016-12-18 19:11

reporter   ~0096904

I tried the xim fix with my spanish keyboard(adding xim to BlackListIMModule) and now it doesn't duplicate characters, but it eats the accents + the 'ñ' and 'ç' chars, and 'm' acts as return.

Juha Manninen

2016-12-19 00:28

developer   ~0096923

> Lazarus 1.7 Rev. 53546 on Linux Mint 18-x64 the error is not activ
> Lazarus 1.7 Rev. 53631 on Linux Mint 18-x64 the error is activ

Give a more specific revision please.

Alexey Tor.

2017-02-08 22:34

reporter  

blk.diff (625 bytes)
Index: lcl/interfaces/gtk2/gtk2proc.inc
===================================================================
--- lcl/interfaces/gtk2/gtk2proc.inc	(revision 54107)
+++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
@@ -2198,9 +2198,13 @@
   end;
 
   function BlackListIMModule: boolean;
+  const
+    cBlackList = 'scim-bridge';
+    //todo to fix issue with duplicated chars:
+    //cBlackList = 'scim-bridge'#10'scim'#10'xim';
   begin
     {$IFDEF UNIX}
-    Result := g_getenv('GTK_IM_MODULE') = 'scim-bridge';
+    Result := Pos(g_getenv('GTK_IM_MODULE'), cBlackList)>0;
     {$ELSE}
     Result := False;
     {$ENDIF}
blk.diff (625 bytes)

Alexey Tor.

2017-02-08 22:36

reporter   ~0098036

Last edited: 2017-02-08 23:48

View 2 revisions

Pls apply blk-2.diff

a- refactor for future, more complete blackList
b- comment with fixed blackList (from this issue commentz)

Alexey Tor.

2017-02-08 22:41

reporter  

blk-2.diff (673 bytes)
Index: lcl/interfaces/gtk2/gtk2proc.inc
===================================================================
--- lcl/interfaces/gtk2/gtk2proc.inc	(revision 54107)
+++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
@@ -2198,9 +2198,16 @@
   end;
 
   function BlackListIMModule: boolean;
+  const
+    cBlackList = 'scim-bridge';
+    //to fix issue with duplicated chars:
+    //cBlackList = 'scim-bridge,scim,xim';
+  var
+    sVar: string;
   begin
     {$IFDEF UNIX}
-    Result := g_getenv('GTK_IM_MODULE') = 'scim-bridge';
+    sVar := g_getenv('GTK_IM_MODULE');
+    Result := Pos(','+sVar+',', ','+cBlackList+',')>0;
     {$ELSE}
     Result := False;
     {$ENDIF}
blk-2.diff (673 bytes)

Juha Manninen

2017-02-09 10:51

developer   ~0098046

I applied blk-2.diff in r54130. When should the line:
 cBlackList = 'scim-bridge,scim,xim';
be used? Is there a way to solve this for good?

Alexey Tor.

2017-02-09 23:45

reporter   ~0098071

Last edited: 2017-02-09 23:45

View 2 revisions

>when should be added
I dont know: user tells (in mantis here) this fix makes key M do new-line in editor. so not 100% fix. user of CudaText tells its not good fix, too..

Alexey Tor.

2017-02-13 00:23

reporter   ~0098129

Juha,
IMO this patch- with 3 blacklist items- should be applied

Reason:
user sais that this patch
- gives none enter at all on XFCE4 (bad) and ok on MATE (good)
- then he sees his Linux input keyboard settings- he sees that none of IM is active in settings in OS dialogs
- then he installed patched CudaText (3 blacklist items)
- then he setted IM to csim (no help), ibus (no help), uim (help!!- uim works ok)

So with pch, its easy to user to fix-- he must set IM to uim
User has Mint with MATE, Mint with XFCE4

http://synwrite.sourceforge.net/forums/viewtopic.php?p=10462#p10462

Juha Manninen

2017-02-13 11:07

developer   ~0098141

> IMO this patch- with 3 blacklist items- should be applied

What patch?

Alexey Tor.

2017-02-13 12:07

reporter   ~0098147

Just added, bl.diff

Alexey Tor.

2017-02-13 12:07

reporter  

bl.diff (519 bytes)
Index: lcl/interfaces/gtk2/gtk2proc.inc
===================================================================
--- lcl/interfaces/gtk2/gtk2proc.inc	(revision 54143)
+++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
@@ -2199,9 +2199,9 @@
 
   function BlackListIMModule: boolean;
   const
-    cBlackList = 'scim-bridge';
+    //cBlackList = 'scim-bridge';
     //to fix issue with duplicated chars:
-    //cBlackList = 'scim-bridge,scim,xim';
+    cBlackList = 'scim-bridge,scim,xim';
   var
     sVar: string;
   begin
bl.diff (519 bytes)

Juha Manninen

2017-02-13 17:05

developer   ~0098154

Is there really no way to fix it so that it works in every system?
Other GTK2 applications don't duplicate keys after all.
The patch now fixes some systems but break others, if I understood right.

Alexey Tor.

2017-02-13 17:45

reporter   ~0098156

Last edited: 2017-02-13 17:45

View 2 revisions

1- don't know Gtk2
2- not breaks others. User says, that after duplicate keys - he sees no keys at all after patch (XFCE only). then he changes IM to uim, and all fixed.

Juha Manninen

2017-02-13 18:40

developer   ~0098158

But it was something else than uim to start with, so the user must change it explicitly. Is it so?

Alexey Tor.

2017-02-13 19:14

reporter   ~0098159

yes, if "xim" was, or none was, user must change it explicitly.

Zeljan Rikalo

2017-06-03 14:22

developer  

gtk2_im_module_fix.diff (1,557 bytes)
Index: lcl/interfaces/gtk2/gtk2proc.inc
===================================================================
--- lcl/interfaces/gtk2/gtk2proc.inc	(revision 55166)
+++ lcl/interfaces/gtk2/gtk2proc.inc	(working copy)
@@ -1928,7 +1928,7 @@
   TargetWidget: PGtkWidget;
   TargetObj: gPointer;
   KeyPressesChar: char;
-  PassUTF8AsKeyPress: Boolean;
+  PassUTF8AsKeyPress, ADeadKey: Boolean;
 
   procedure ClearKey;
   begin
@@ -2213,8 +2213,9 @@
     {$ENDIF}
   end;
 
-  procedure CheckDeadKey;
+  function CheckDeadKey: boolean;
   begin
+    Result := CallBackDefaultReturn;
     if ABeforeEvent then
     begin
       if im_context_widget<>TargetWidget then
@@ -2230,7 +2231,10 @@
       {do not pass double chars if we use scim-bridge or other blacklisted im_module.
        issues #15185, #23140}
       if not BlackListIMModule then
-        gtk_im_context_filter_keypress (im_context, AEvent);
+      begin
+        Result := gtk_im_context_filter_keypress (im_context, AEvent);
+        Result := Result and (im_context_string = AEvent^._string);
+      end;
 
       //DebugLn(['CheckDeadKey DeadKey=',DeadKey,' str="',im_context_string,'"']);
     end;
@@ -2302,7 +2306,9 @@
   {$IfDef Gtk2LatinAccents}
   gtk_im_context_filter_keypress (im_context, AEvent);
   {$Else}
-  CheckDeadKey;
+  ADeadKey := CheckDeadKey;
+  if ADeadKey then
+    ADeadKey := TObject(TargetObj) is TCustomControl;
   {$EndIf}
 
   Flags := 0;
@@ -2535,7 +2541,7 @@
 
   EmulateEatenKeys;
 
-  Result:=EventStopped;
+  Result := EventStopped or ADeadKey;
 end;
 
 const
gtk2_im_module_fix.diff (1,557 bytes)

Zeljan Rikalo

2017-06-03 14:23

developer   ~0100828

Please guys check with attached gtk2_im_module_fix.diff, now any im_module works correct for me with gtk2 (tested xim and gtk2-simple-im)

Juha Manninen

2017-06-03 14:30

developer   ~0100829

Zeljko, I assigned also this issue for you. Thanks for fixing it.

Zeljan Rikalo

2017-06-03 16:26

developer   ~0100837

Waiting for feedback, won't commit this before someone tests with different languages. Would be good to call users via lazarus mailing list to test so this eventually can be merged to 1.8

delfion

2017-06-03 20:33

reporter   ~0100842

Keys are no more duplicated. m does not produce line feed.

Zeljan Rikalo

2017-06-03 20:37

developer   ~0100843

@delfion, thanks, I'm interested in reporter's feedback since he had problem with spanish accents.

Gerard V

2017-06-06 10:17

reporter   ~0100895

Last edited: 2017-06-06 11:22

View 2 revisions

Hi Zeljan,
Thanks for the patch, I applied it to svn 55257:
- The character duplication is fixed so at least the IDE is useable.
- Some special characters like "ç" or "ñ" work.
- No accents at all: if I type "à","á" or "â", I get "a" without an accent.

Zeljan Rikalo

2017-06-06 10:46

developer   ~0100896

Ok, can you tell me what keyboard layout I must install and how to type such accents ?

Gerard V

2017-06-06 11:22

reporter   ~0100900

My locale is Catalan/Valencian Spain UTF8.
The keyboard layout is "Catalan (Spain, with middle-dot L)", but i think the Spanish layout is identical.
The grave accent "`" is a dead key just after QWERTYUIOP, to the right.
Pressing this key and just after that a vowel should get get you the accented vowel. "`" + "a" -> "à"
Same for the acute accent, wich is just after ASDFGHJKLÑ, to the right.
HTH.

Zeljan Rikalo

2017-06-06 11:54

developer   ~0100901

Without Alt or AltGr ?

Gerard V

2017-06-06 17:55

reporter   ~0100920

Without Alt or Alt Gr.
Just press the accent key, wich is a "dead" key, followed by a vowel.

Zeljan Rikalo

2017-06-09 15:36

developer   ~0100974

But accents don't work even without my patch

_N_

2017-11-30 22:40

reporter   ~0104374

Last edited: 2017-11-30 22:46

View 3 revisions

Reproduced in Lazarus 1.8.0 RC4 and 1.8.0 RC5 on Ubuntu Mate 17.10 all the time :(
EN_US UTF-8 locale, real and virtual keyboard.
Relogin, reboot, removing .lazarus folder, reinstall doesn't help.

Gerard V

2018-12-17 09:50

reporter   ~0112646

I re-reported the bug (0034702) with the latest SVN, only to find that it didn't happen on another computer with the same version of Linux Mint (18.3) & Cinnamon.
The fixes described in http://wiki.lazarus.freepascal.org/Lazarus_Faq#Typing_in_edit_fields_generate_duplicate_letters worked for me.

Juha Manninen

2018-12-17 12:58

developer   ~0112649

Last edited: 2018-12-17 13:04

View 2 revisions

The wiki page instructs to add env variables for the session.
The question is, why don't other GTK2 apps need them?

Issue 0034702 is not related. Issue 0034701 is the duplicate. Opening a duplicate report for the same problem does not help much.

Issue History

Date Modified Username Field Change
2016-11-04 13:40 Gerard V New Issue
2016-11-04 14:06 Bart Broersma Assigned To => Juha Manninen
2016-11-04 14:06 Bart Broersma Status new => assigned
2016-11-04 14:40 delfion Note Added: 0095557
2016-11-05 11:37 delfion Note Added: 0095585
2016-11-05 11:48 Gerard V Note Added: 0095586
2016-11-08 19:03 Gerard V Note Added: 0095677
2016-11-08 22:08 delfion Note Added: 0095683
2016-11-11 22:31 Gerard V Note Added: 0095787
2016-11-12 01:05 Cyrax Note Added: 0095792
2016-11-12 08:12 delfion Note Added: 0095794
2016-11-12 22:45 Gerard V Note Added: 0095805
2016-11-13 08:41 Juha Manninen Relationship added related to 0014716
2016-11-13 08:51 Juha Manninen Note Added: 0095815
2016-12-11 14:41 Juha Manninen Relationship added has duplicate 0031104
2016-12-11 16:19 Juha Manninen Relationship added duplicate of 0027401
2016-12-11 16:20 Juha Manninen Relationship added duplicate of 0026926
2016-12-11 16:21 Juha Manninen Relationship added duplicate of 0029431
2016-12-11 16:21 Juha Manninen Relationship added duplicate of 0023140
2016-12-11 18:39 Heiko Rompel Note Added: 0096702
2016-12-11 19:37 delfion Note Added: 0096707
2016-12-11 20:11 delfion Note Edited: 0096707 View Revisions
2016-12-18 19:11 Gerard V Note Added: 0096904
2016-12-19 00:27 Juha Manninen Note Edited: 0096707 View Revisions
2016-12-19 00:28 Juha Manninen Note Added: 0096923
2017-02-08 22:34 Alexey Tor. File Added: blk.diff
2017-02-08 22:36 Alexey Tor. Note Added: 0098036
2017-02-08 22:41 Alexey Tor. File Added: blk-2.diff
2017-02-08 23:48 Alexey Tor. Note Edited: 0098036 View Revisions
2017-02-09 10:51 Juha Manninen Note Added: 0098046
2017-02-09 23:45 Alexey Tor. Note Added: 0098071
2017-02-09 23:45 Alexey Tor. Note Edited: 0098071 View Revisions
2017-02-13 00:23 Alexey Tor. Note Added: 0098129
2017-02-13 11:07 Juha Manninen Note Added: 0098141
2017-02-13 12:07 Alexey Tor. Note Added: 0098147
2017-02-13 12:07 Alexey Tor. File Added: bl.diff
2017-02-13 17:05 Juha Manninen Note Added: 0098154
2017-02-13 17:45 Alexey Tor. Note Added: 0098156
2017-02-13 17:45 Alexey Tor. Note Edited: 0098156 View Revisions
2017-02-13 18:40 Juha Manninen Note Added: 0098158
2017-02-13 19:14 Alexey Tor. Note Added: 0098159
2017-06-03 14:22 Zeljan Rikalo File Added: gtk2_im_module_fix.diff
2017-06-03 14:23 Zeljan Rikalo LazTarget => -
2017-06-03 14:23 Zeljan Rikalo Note Added: 0100828
2017-06-03 14:23 Zeljan Rikalo Status assigned => feedback
2017-06-03 14:29 Juha Manninen Assigned To Juha Manninen => Zeljan Rikalo
2017-06-03 14:29 Juha Manninen Status feedback => assigned
2017-06-03 14:30 Juha Manninen Note Added: 0100829
2017-06-03 14:30 Juha Manninen Status assigned => feedback
2017-06-03 16:26 Zeljan Rikalo Note Added: 0100837
2017-06-03 16:48 Juha Manninen Relationship added related to 0029432
2017-06-03 20:33 delfion Note Added: 0100842
2017-06-03 20:37 Zeljan Rikalo Note Added: 0100843
2017-06-06 10:17 Gerard V Note Added: 0100895
2017-06-06 10:17 Gerard V Status feedback => assigned
2017-06-06 10:46 Zeljan Rikalo Note Added: 0100896
2017-06-06 10:46 Zeljan Rikalo Status assigned => feedback
2017-06-06 10:53 Juha Manninen Relationship added related to 0031335
2017-06-06 10:54 Juha Manninen Relationship added related to 0030871
2017-06-06 10:57 Juha Manninen Relationship added related to 0024750
2017-06-06 11:22 Gerard V Note Added: 0100900
2017-06-06 11:22 Gerard V Status feedback => assigned
2017-06-06 11:22 Gerard V Note Edited: 0100895 View Revisions
2017-06-06 11:54 Zeljan Rikalo Note Added: 0100901
2017-06-06 17:55 Gerard V Note Added: 0100920
2017-06-09 15:36 Zeljan Rikalo Note Added: 0100974
2017-11-30 22:40 _N_ Note Added: 0104374
2017-11-30 22:43 _N_ Note Edited: 0104374 View Revisions
2017-11-30 22:46 _N_ Note Edited: 0104374 View Revisions
2018-12-13 20:30 Juha Manninen Relationship added related to 0034701
2018-12-13 20:32 Juha Manninen Relationship replaced has duplicate 0034701
2018-12-17 09:50 Gerard V Note Added: 0112646
2018-12-17 12:58 Juha Manninen Note Added: 0112649
2018-12-17 13:04 Juha Manninen Note Edited: 0112649 View Revisions